Package org.eclipse.m2m.atl.common

## Class ATLExecutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.m2m.atl.common.ATLExecutionException

All Implemented Interfaces:
  `java.io.Serializable`

Direct Known Subclasses:
  `VMException`, `VMException`

    public abstract class ATLExecutionException
    extends java.lang.RuntimeException

Exceptions thrown by an ATL execution.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`ATLExecutionException​(java.lang.String message)` Constructs a new execution exception with the specified detail message.
`ATLExecutionException​(java.lang.String message, java.lang.Throwable cause)` Constructs a new execution exception with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ATLExecutionException

    public ATLExecutionException​(java.lang.String message)

Constructs a new execution exception with the specified detail message.

Parameters:
  `message` - the detail message

#### ATLExecutionException

    public ATLExecutionException​(java.lang.String message,
                                 java.lang.Throwable cause)

Constructs a new execution exception with the specified detail message.

Parameters:
  `message` - the detail message
  `cause` - the cause